From: Angus Ainslie <angus@akkea.ca>
Date: Mon, 5 Jul 2021 06:18:07 -0700
Subject: net: wireless: redpine: delay talking to the RS9116 module

If we don't wait a bit longer the bluetooth part of the firmware does not
become active on some devices.

Signed-off-by: Angus Ainslie <angus@akkea.ca>
---
 drivers/net/wireless/redpine/rsi_91x_hal.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/net/wireless/redpine/rsi_91x_hal.c b/drivers/net/wireless/redpine/rsi_91x_hal.c
index 06008ff..14f7efc 100644
--- a/drivers/net/wireless/redpine/rsi_91x_hal.c
+++ b/drivers/net/wireless/redpine/rsi_91x_hal.c
@@ -1646,7 +1646,7 @@ static int rsi_load_firmware(struct rsi_hw *adapter)
 		if (flash_data_start != 0x5aa5)
 			redpine_dbg(ERR_ZONE, " *** No FW magic will try to load anyway ***\n");
 		status = rsi_load_9116_flash_fw(adapter);
-		mdelay(3000);
+		msleep(5000);
 		if (rsi_read_flash_fw_version(adapter) < 0)
 		    goto bl_cmd_fail;
 		rsi_print_version(common);
